zenilib: zenilib/jni/external/freetype2/src/pshinter/pshglob.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
pshglob.h File Reference
`#include <FT_FREETYPE_H>`
`#include <FT_INTERNAL_POSTSCRIPT_HINTS_H>`

Go to the source code of this file.

## Classes

struct | PSH_AlignmentRec_
struct | PSH_Blue_TableRec_
struct | PSH_Blue_ZoneRec_
struct | PSH_BluesRec_
struct | PSH_DimensionRec_
struct | PSH_GlobalsRec_
struct | PSH_WidthRec_
struct | PSH_WidthsRec_

## Macros

#define | PS_GLOBALS_MAX_BLUE_ZONES 16
#define | PS_GLOBALS_MAX_STD_WIDTHS 16
#define | PSH_BLUE_ALIGN_BOT 2
#define | PSH_BLUE_ALIGN_NONE 0
#define | PSH_BLUE_ALIGN_TOP 1

## Typedefs

typedef struct PSH_AlignmentRec_ * | PSH_Alignment
typedef struct PSH_AlignmentRec_ | PSH_AlignmentRec
typedef struct PSH_Blue_TableRec_ * | PSH_Blue_Table
typedef struct PSH_Blue_TableRec_ | PSH_Blue_TableRec
typedef struct PSH_Blue_ZoneRec_ * | PSH_Blue_Zone
typedef struct PSH_Blue_ZoneRec_ | PSH_Blue_ZoneRec
typedef struct PSH_BluesRec_ * | PSH_Blues
typedef struct PSH_BluesRec_ | PSH_BluesRec
typedef struct PSH_DimensionRec_ * | PSH_Dimension
typedef struct PSH_DimensionRec_ | PSH_DimensionRec
typedef struct PSH_GlobalsRec_ | PSH_GlobalsRec
typedef struct PSH_WidthRec_ * | PSH_Width
typedef struct PSH_WidthRec_ | PSH_WidthRec
typedef struct PSH_WidthsRec_ * | PSH_Widths
typedef struct PSH_WidthsRec_ | PSH_WidthsRec

## Functions

| psh_blues_snap_stem (PSH_Blues blues, FT_Int stem_top, FT_Int stem_bot, PSH_Alignment alignment)
| psh_globals_funcs_init (PSH_Globals_FuncsRec *funcs)
| psh_globals_set_scale (PSH_Globals globals, FT_Fixed x_scale, FT_Fixed y_scale, FT_Fixed x_delta, FT_Fixed y_delta)

## Macro Definition Documentation

#define PS_GLOBALS_MAX_BLUE_ZONES 16

Definition at line 48 of file pshglob.h.

#define PS_GLOBALS_MAX_STD_WIDTHS 16

Definition at line 60 of file pshglob.h.

#define PSH_BLUE_ALIGN_BOT 2

Definition at line 146 of file pshglob.h.

Referenced by psh_blues_snap_stem(), and psh_hint_align().

#define PSH_BLUE_ALIGN_NONE 0

Definition at line 144 of file pshglob.h.

Referenced by psh_blues_snap_stem(), and psh_hint_align().

#define PSH_BLUE_ALIGN_TOP 1

Definition at line 145 of file pshglob.h.

Referenced by psh_blues_snap_stem(), and psh_hint_align().

## Typedef Documentation

typedef struct PSH_AlignmentRec_ * PSH_Alignment

typedef struct PSH_AlignmentRec_ PSH_AlignmentRec

typedef struct PSH_Blue_TableRec_ * PSH_Blue_Table

typedef struct PSH_Blue_TableRec_ PSH_Blue_TableRec

typedef struct PSH_Blue_ZoneRec_ * PSH_Blue_Zone

typedef struct PSH_Blue_ZoneRec_ PSH_Blue_ZoneRec

typedef struct PSH_BluesRec_ * PSH_Blues

typedef struct PSH_BluesRec_ PSH_BluesRec

typedef struct PSH_DimensionRec_ * PSH_Dimension

typedef struct PSH_DimensionRec_ PSH_DimensionRec

typedef struct PSH_GlobalsRec_ PSH_GlobalsRec

typedef struct PSH_WidthRec_ * PSH_Width

typedef struct PSH_WidthRec_ PSH_WidthRec

typedef struct PSH_WidthsRec_ * PSH_Widths

typedef struct PSH_WidthsRec_ PSH_WidthsRec

## Function Documentation

psh_blues_snap_stem | ( | PSH_Blues | blues,
|  | FT_Int | stem_top,
|  | FT_Int | stem_bot,
|  | PSH_Alignment | alignment
| ) |  |

Definition at line 526 of file pshglob.c.

References PSH_Blue_TableRec_::count, PSH_Blue_ZoneRec_::cur_ref, FT_Pos, PSH_Blue_ZoneRec_::org_bottom, PSH_Blue_ZoneRec_::org_top, PSH_BLUE_ALIGN_BOT, PSH_BLUE_ALIGN_NONE, PSH_BLUE_ALIGN_TOP, and PSH_Blue_TableRec_::zones.

Referenced by psh_hint_align().

psh_globals_funcs_init | ( | PSH_Globals_FuncsRec * | funcs | ) |

Definition at line 742 of file pshglob.c.

References psh_globals_destroy(), psh_globals_new(), and psh_globals_set_scale().

Referenced by ps_hinter_init().

psh_globals_set_scale | ( | PSH_Globals | globals,
|  | FT_Fixed | x_scale,
|  | FT_Fixed | y_scale,
|  | FT_Fixed | x_delta,
|  | FT_Fixed | y_delta
| ) |  |

Definition at line 707 of file pshglob.c.

References psh_blues_scale_zones(), psh_globals_scale_widths(), PSH_DimensionRec_::scale_delta, and PSH_DimensionRec_::scale_mult.

Referenced by ps_hints_apply(), and psh_globals_funcs_init().